手机版
你好,游客 登录 注册
背景:
阅读新闻

Ember项目发布Ember.js,Ember Data和Ember CLI 3.7版本

[日期:2019-01-15] 来源:Linux公社  作者:醉落红尘 [字体: ]

在上个月发布Ember 3.6之后,Ember项目背后的团队上周发布了Ember.js,Ember Data和Ember CLI的3.7版本。与往常一样,Ember 3.7为所有子项目开始了3.8 beta周期。此版本不再支持Babel 6和Node 4,还有一些错误修复和性能改进。 Ember Data子项目没有变化。

Ember.js中的更新3.7

在Ember.js 3.7中,已明确删除对Node 4的支持,如果要升级到此版本,则需要先升级Node版本。此外,Node 6支持计划在未来几个月内结束。

Ember CLI中的更新

删除了Babel 6的最后一次使用:在Ember CLI 3.7中删除了Babel 6的最后一次使用。 Babel 6用于支持addon /中的编译模板。它还用于支持没有任何.js处理器的插件中的插件测试支持。由于Babel 6和Babel 7之间的模块编译兼容,因此此更新不是一个重大变化。

addon README中的兼容性部分:另一个更新是addon README中的兼容性部分。每当使用Ember CLI生成新的插件时,也会为插件生成自述文件。此README现在将提供兼容性部分,使您可以轻松地与用户沟通有关使用插件的要求。

您可以使用以下命令升级到Ember CLI:

npm install -g ember-cli-update

ember-cli-update

Linux公社的RSS地址https://www.linuxidc.com/rssFeed.aspx

本文永久更新链接地址https://www.linuxidc.com/Linux/2019-01/156380.htm

linux
相关资讯       Ember.js  Ember  Ember Data 
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款